Skip to main content

Get Brand Asset Resources

API Description​

Get information about one or more brand asset resources matching query parameters.

Request​

URI Parameters​

NameInput
orgId
REQUIRED
brandId
REQUIRED

Query Parameters​

Filters to apply on the operation.

NameInput
id
OPTIONAL
state
OPTIONAL
createdDate
OPTIONAL
updatedDate
OPTIONAL
brandAssetDetails.partnersAssetId
OPTIONAL
brandAssetDetails.imageId
OPTIONAL
brandAssetDetails.intent
OPTIONAL
Path Template
GET {url}/api/{version}/orgs/{orgId}/brands/{brandId}/assets?ql={query_parameter};{query_parameter}

This path example is expected to return assets generated after the specified created date.

Path Example
GET {url}/api/v1/orgs/9467895078742654934/brands/9467895078742654921/assets?ql=createdDate=gt=2024-09-30T00:00:00Z&limit=2

Request Headers​

NameInput
Authorization
REQUIRED
Accept
OPTIONAL
Example Request Headers
Authorization: Bearer <access_token>
Accept: application/json

Request Body​

None

Response​

200 OK or Error

Response Headers​

Name
apple-request-id
content-type
Example Response Headers
HTTP/1.1 200 OK
apple-request-id: b5df99be-845b-4612-8a51-0e7f76b35d87
content-type: application/json

Response Body​

ParentNameOutput
$.data[]
REQUIRED
$.total
REQUIRED
data[]orgId
REQUIRED
data[]brandId
REQUIRED
data[]id
REQUIRED
data[]createdDate
REQUIRED
data[]updatedDate
REQUIRED
data[]state
REQUIRED
data[]etag
REQUIRED
data[]brandAssetDetails
REQUIRED
Example Response Body (raw JSON)
{
"data": [
{
"orgId": "9467895078742654934",
"brandId": "9467895078742654921",
"id": "9467895078742654944",
"createdDate": "2026-10-01T17:22:19.00Z",
"updatedDate": "2026-10-01T17:22:19.00Z",
"state": "SUBMITTED",
"etag": "58df050c-ddd1-11ec-b406-17be3fa34229",
"brandAssetDetails": {
"imageId": "1e863dc0-0980-11f0-9cd2-0242ac120002",
"partnersAssetId": "brand_asset_10101",
"intent": "PLACECARD_LOGO",
"altTexts": [
{
"text": "A barista preparing a cafe latte",
"locale": "en"
},
{
"text": "de prueba",
"locale": "es"
}
]
}
},
{
"orgId": "9467895078742654934",
"brandId": "9467895078742654921",
"id": "9467895078742654876",
"createdDate": "2026-11-01T17:22:19.00Z",
"updatedDate": "2026-11-01T17:22:19.00Z",
"state": "SUBMITTED",
"etag": "7869f2ba-ddd1-11ec-b683-37213c380b69",
"brandAssetDetails": {
"imageId": "364e9704-0980-11f0-9cd2-0242ac120002",
"partnersAssetId": "brand_asset_20202",
"intent": "COVER_PHOTO",
"altTexts": [
{
"text": "Caffè macchiato on a table",
"locale": "en"
},
{
"text": "Café macchiato sur une table",
"locale": "fr"
}
]
}
}
],
"pagination": {
"cursors": {
"after": "6t78a61d9b495109"
},
"next": "/api/v1/orgs/9467895078742654934/brands/9467895078742654921/assets?limit=2&after=6t78a61d9b495109"
},
"total": 2
}

When no collection is returned.

Example Response Body (raw JSON)
{
"data": [],
"pagination": {},
"total": 0
}